Package com.sun.jna.platform.win32

# Enum Class Advapi32Util.EventLogType

java.lang.Object
java.lang.Enum<Advapi32Util.EventLogType>
com.sun.jna.platform.win32.Advapi32Util.EventLogType

All Implemented Interfaces:
  `Serializable`, `Comparable<Advapi32Util.EventLogType>`, `Constable`

Enclosing class:
  Advapi32Util

public static enum Advapi32Util.EventLogType extends Enum<Advapi32Util.EventLogType>
Event log types.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AuditFailure`
  `AuditSuccess`
  `Error`
  `Informational`
  `Warning`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Advapi32Util.EventLogType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Advapi32Util.EventLogType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### Error

    public static final Advapi32Util.EventLogType Error

  - ### Warning

    public static final Advapi32Util.EventLogType Warning

  - ### Informational

    public static final Advapi32Util.EventLogType Informational

  - ### AuditSuccess

    public static final Advapi32Util.EventLogType AuditSuccess

  - ### AuditFailure

    public static final Advapi32Util.EventLogType AuditFailure

- ## Method Details

  - ### values

    public static Advapi32Util.EventLogType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Advapi32Util.EventLogType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null